aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKablersalat <crt@adastra7.net>2025-02-24 13:07:27 +0100
committerKablersalat <crt@adastra7.net>2025-02-24 13:07:27 +0100
commit4bfa683907ef9f771a83f046e282b77456d092b5 (patch)
tree09aa1d2c3af0dd04f912efec10ebcfd56457d0e0
parent40a053004480b0354e239849d6af879b8256b275 (diff)
implemented menu forwarding and made a readme
-rw-r--r--README.md46
-rw-r--r--kiosk.sh19
2 files changed, 65 insertions, 0 deletions
diff --git a/README.md b/README.md
new file mode 100644
index 0000000..d017377
--- /dev/null
+++ b/README.md
@@ -0,0 +1,46 @@
+# Basic Kiosk Installer
+A really basic Bash script that helps you display one or multiple websites Kiosk style on Debian based distros.
+
+## Requirements
+What you need
+
+- Option 1 : Debian 12
+ - Base Installation with following :
+ - Locale set to your locale
+ - Hostename set to something appropriate
+ - Password for root set
+ - "kiosk" user made
+ - Software selection : SSH Server and Standard System Utilities (nothing more than that)
+
+- Option 2 : Raspberry Pi OS Lite
+ - Base Image with following :
+ - Network Configured
+ - Locale set to your locale
+ - Hostename set to something appropriate
+ - "kiosk" user made
+ - SSH Enabled
+
+## Debian 12
+
+### Basic user setup and preparations
+1. sign in to your Debian machine using SSH and kiosk user `ssh kiosk@your.debian.host`
+2. sign into your root account using `su`
+3. install the basics : `apt update && apt upgrade -y && apt install sudo dialog git htop tmux screen screenfetch -y`
+4. add sbin to bash paths for root `echo 'export PATH=$PATH:/sbin:/usr/sbin' | tee -a ~/.bashrc ~/.profile > /dev/null && bash`
+5. Add kiosk user to sudo group
+```bash
+bash
+usermod -aG sudo kiosk
+exit
+exit
+exit
+```
+6. Sign back in via ssh `ssh kiosk@your.debian.host`
+7. add sbin to bash paths for kiosk user `echo 'export PATH=$PATH:/sbin:/usr/sbin' | tee -a ~/.bashrc ~/.profile > /dev/null && bash`
+8. download the kiosk and go to its folder `git clone https://git.teleco.ch/crt/basic-kiosk.git/ && cd basic-kiosk`
+
+### Installing the Kiosk via Terminal User Interface (TUI/GUI)
+1. run the installer
+
+
+
diff --git a/kiosk.sh b/kiosk.sh
index 0073fe5..346dc06 100644
--- a/kiosk.sh
+++ b/kiosk.sh
@@ -210,7 +210,26 @@ dialog --title "WARNING !!!" --msgbox "Do not run this script under any user oth
6) break ;;
*) echo "Invalid option. Try another one." >&2
esac
+
+ # Automatically proceed because end users dont understand otherwise
+ if [ $? -eq 0 ]; then
+ case $CHOICE in
+ 1) CHOICE=2 ;;
+ 2) CHOICE=3 ;;
+ 3) CHICE=4 ;;
+ 4) CHOICE=5 ;;
+ 5) CHOICE=6 ;;
+ esac
+ else
+ dialog --title "Error" --msgbox "An error occurred. Please check the output and try again." 10 50
+ fi
+
+ # safety ooooooo
+ if [ $CHOICE -eq 6 ]; then
+ break
+ fi
done
+
dialog --title "Exit" --msgbox "If you completed all steps and no errors were shown to you, reboot now to test if the installation was successful." 10 50
fi